Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
FSDK.PDFArray Class Reference

## Public Member Functions
| AddBoolean (boolean_value)
| Add a boolean value to the end of current PDF array object. More...
| AddDateTime (date_time)
| Add a date time to the end of current PDF array object. More...
| AddElement (element)
| Add a PDF object to the end of current PDF array object. More...
| AddFloat (float_value)
| Add a float value to the end of current PDF array object. More...
| AddInteger (integer_value)
| Add an integer value to the end of current PDF array object. More...
| AddMatrix (matrix)
| Add a matrix to the end of current PDF array object. More...
| AddName (name)
| Add a string as PDF name object to the end of current PDF array object. More...
| AddRect (rect)
| Add a rectangle to the end of current PDF array object. More...
| AddReference (pdf_object, document)
| Set the reference object of an indirect PDF object (whose object number is always above 0) as value element. More...
| AddString (new_string)
| Add a string as PDF string object to the end of current PDF array object. More...
| GetElement (index)
| Get a specified element by index. More...
| GetElementCount ()
| Get the count of elements. More...
| InsertAt (index, element)
| Insert a PDF object to a specified position in current PDF array object. More...
| RemoveAt (index)
| Remove an element in a specified position (by index) from current PDF array object. More...
| SetAt (index, element)
| Set a new PDF object at a specified position in current PDF array object. More...

## Static Public Member Functions
static | Create ()
| Create a new array object. More...
static | CreateFromMatrix (matrix)
| Create a new array object for a matrix. More...
static | CreateFromRect (rect)
| Create a new array object for a rectangle. More...

## Detailed Description

A PDF array object is a one-dimensional collection of objects arranged sequentially. Unlike arrays in many other computer languages, elements in a PDF array can be any combination of numbers, strings, dictionaries, or any other objects, including other arrays. For more details, please refer to Section 3.2.5 "Array Objects" in <PDF Reference 1.7>.
Class FSDK.PDFArray is derived from FSDK.PDFObject and offers functions to create a new PDF array object and get/set elements of a PDF array object.

See also
  FSDK.PDFObject

## Member Function Documentation

## ◆ AddBoolean()

FSDK.PDFArray.AddBoolean | ( | boolean_value |  | ) |

Add a boolean value to the end of current PDF array object.

Parameters

  [in] | boolean_value | A boolean value to current PDF array object.

Returns
  None.

## ◆ AddDateTime()

FSDK.PDFArray.AddDateTime | ( | date_time |  | ) |

Add a date time to the end of current PDF array object.

Parameters

  [in] | date_time | A date time to current PDF array object.

Returns
  None.

## ◆ AddElement()

FSDK.PDFArray.AddElement | ( | element |  | ) |

Add a PDF object to the end of current PDF array object.

Parameters

  [in] | element | A PDF object to be added to current PDF array object. It should not be null.

Returns
  None.

## ◆ AddFloat()

FSDK.PDFArray.AddFloat | ( | float_value |  | ) |

Add a float value to the end of current PDF array object.

Parameters

  [in] | float_value | A float value to current PDF array object.

Returns
  None.

## ◆ AddInteger()

FSDK.PDFArray.AddInteger | ( | integer_value |  | ) |

Add an integer value to the end of current PDF array object.

Parameters

  [in] | integer_value | An integer value to current PDF array object.

Returns
  None.

## ◆ AddMatrix()

FSDK.PDFArray.AddMatrix | ( | matrix |  | ) |

Add a matrix to the end of current PDF array object.

Parameters

  [in] | matrix | A matrix to current PDF array object.

Returns
  None.

## ◆ AddName()

FSDK.PDFArray.AddName | ( | name |  | ) |

Add a string as PDF name object to the end of current PDF array object.

Parameters

  [in] | name | A string to be added as PDF name object to current PDF array object. It should not be an empty string.

Returns
  None.

## ◆ AddRect()

FSDK.PDFArray.AddRect | ( | rect |  | ) |

Add a rectangle to the end of current PDF array object.

Parameters

  [in] | rect | A rectangle to current PDF array object.

Returns
  None.

## ◆ AddReference()

FSDK.PDFArray.AddReference | ( | pdf_object | ,
|  | document |
| ) |  |

Set the reference object of an indirect PDF object (whose object number is always above 0) as value element.

If user wants to set direct PDF object (whose object number is always equal to 0) to an entry, please refer to function FSDK.PDFDictionary.SetAt.

Parameters

  [in] | pdf_object | A FSDK.PDFObject object which is an indirect PDF object (whose object number is always above 0) and will be set to the entry by a reference object which refers to this indirect object. It should not be NULL.
  [in] | document | A valid PDF document object, to which current PDF dictionary object belongs and in which parameter pdf_object is or will be an indirect object.

Returns
  None.

## ◆ AddString()

FSDK.PDFArray.AddString | ( | new_string |  | ) |

Add a string as PDF string object to the end of current PDF array object.

Parameters

  [in] | new_string | A string to be added as PDF string object to current PDF array object. It should not be an empty string.

Returns
  None.

## ◆ Create()

static FSDK.PDFArray.Create | ( |  | ) |
| static

Create a new array object.

Please call function FSDK.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Returns
  A new FSDK.PDFArray object. If there is any error, this function will return null.

## ◆ CreateFromMatrix()

static FSDK.PDFArray.CreateFromMatrix | ( | matrix |  | ) |
| static

Create a new array object for a matrix.

Please call function FSDK.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | matrix | A matrix.

Returns
  A new FSDK.PDFArray object. If there is any error, this function will return null.

## ◆ CreateFromRect()

static FSDK.PDFArray.CreateFromRect | ( | rect |  | ) |
| static

Create a new array object for a rectangle.

Please call function FSDK.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | rect | A rectangle.

Returns
  A new FSDK.PDFArray object. If there is any error, this function will return null.

## ◆ GetElement()

FSDK.PDFArray.GetElement | ( | index |  | ) |

Get a specified element by index.

Parameters

  [in] | index | Index of the element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.PDFArray.GetElementCount.

Returns
  A FSDK.PDFObject object that receives the specified element. If there is any error, this function will return null.

## ◆ GetElementCount()

FSDK.PDFArray.GetElementCount | ( |  | ) |

Get the count of elements.

Returns
  Element count.

## ◆ InsertAt()

FSDK.PDFArray.InsertAt | ( | index | ,
|  | element |
| ) |  |

Insert a PDF object to a specified position in current PDF array object.

Parameters

  [in] | index | Index of the position where parameter element will be inserted to. Valid range: from 0 to (count-1). count is returned by function FSDK.PDFArray.GetElementCount. If this is below 0 or count of elements in current PDF array is 0, parameter element is to be inserted to the first position. If this is larger than count of element in current PDF array, parameter element is to be added to the end.
  [in] | element | A PDF object to be inserted to current PDF array object. It should not be null.

Returns
  None.

## ◆ RemoveAt()

FSDK.PDFArray.RemoveAt | ( | index |  | ) |

Remove an element in a specified position (by index) from current PDF array object.

Parameters

  [in] | index | Index of the position where the element will be removed. Valid range: from 0 to (count-1). count is returned by function FSDK.PDFArray.GetElementCount.

Returns
  None.

## ◆ SetAt()

FSDK.PDFArray.SetAt | ( | index | ,
|  | element |
| ) |  |

Set a new PDF object at a specified position in current PDF array object.

Parameters

  [in] | index | Index of the position where parameter element will be set to. Valid range: from 0 to (count-1). count is returned by function FSDK.PDFArray.GetElementCount.
  [in] | element | A PDF object to be set to current PDF array object. It should not be null.

Returns
  None.